package service

import (
	"nms_nbi/src/modules/api_rest_cxy/model"
	neDataModel "nms_nbi/src/modules/network_data/model"
)

// 告警数据处理服务 服务层接口
type IAlarm interface {
	// SelectPage 根据条件分页查询
	SelectPage(querys neDataModel.AlarmQuery) ([]model.Alarm, int64)

	// KafkaPush 推送数据Kafka
	KafkaPush(alarm neDataModel.Alarm) error

	// AlarmDataToFile 告警数据写入文件
	AlarmDataToFile(requestId, neType, rmUID, startTime, endTime string) (int64, string)
}
